Bug 99521 - mkinitrd fails when /tmp is a tempfs
Summary: mkinitrd fails when /tmp is a tempfs
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-21 15:23 UTC by James White
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version: 3.3.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-21 17:19:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James White 2003-07-21 15:23:56 UTC
Description of problem:

On a kernel upgrade, mkinitrd fails when /tmp is a tempfs leaving the system
without an initrd for the new kernel.  The error message given is: All loopback
devices are in use!

How reproducible:
Take a kernel upgrade with /tmp as a tempfs.

Steps to Reproduce:
1. Setup /tmp as a tempfs.
2. Take a kernel upgrade or manually invoke mkinitrd.

    
Additional info:

Workaround -- change /tmp references to /var/tmp (not a tempfs) in the mkinitrd
script.

Comment 1 Jeremy Katz 2003-07-21 17:19:03 UTC
Fixed in at least 3.3.9-1 and later.

Comment 2 James White 2003-07-22 17:13:36 UTC
On pulling updates via RHN up2date, mkinitrd at rev. 3.2.6-1 is  the latest
offered.  When will mkinitrd-3.3.9-1 be made available via up2date?  Also, where
might I obtain it in the interim?


Note You need to log in before you can comment on or make changes to this bug.